<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <groupId>com.zksy</groupId>
   <artifactId>xh-service-micro</artifactId>
   <packaging>pom</packaging>
   <version>1.0.0</version>
   <modules>
      <module>xh-gateway</module>
      <module>xh-common</module>
      <module>data-service</module>
      <module>data-library-table-service</module>
      <module>xh-api</module>
   </modules>

   <parent>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-parent</artifactId>
      <version>2.7.12</version>
      <relativePath/>
   </parent>

   <properties>
      <maven.compiler.source>11</maven.compiler.source>
      <maven.compiler.target>11</maven.compiler.target>
      <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
      <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
      <org.projectlombok.version>1.18.20</org.projectlombok.version>
      <spring-cloud.version>2021.0.3</spring-cloud.version>
      <spring-cloud-alibaba.version>2021.0.4.0</spring-cloud-alibaba.version>
      <mybatis-plus.version>3.5.1</mybatis-plus.version>
      <hutool.version>5.8.11</hutool.version>
      <mysql.version>8.0.23</mysql.version>
      <okhttp.version>4.9.3</okhttp.version>
      <redis.version>3.0.5</redis.version>
      <sentinel.version>2021.0.4.0</sentinel.version>
      <minioutil.version>1.0.0</minioutil.version>
      <redisson.version>3.13.6</redisson.version>
      <spring-aop.version>2.7.12</spring-aop.version>
   </properties>
   <dependencyManagement>
      <dependencies>
         <!--spring cloud-->
         <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-dependencies</artifactId>
            <version>${spring-cloud.version}</version>
            <type>pom</type>
            <scope>import</scope>
         </dependency>
         <!--spring cloud alibaba-->
         <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-alibaba-dependencies</artifactId>
            <version>${spring-cloud-alibaba.version}</version>
            <type>pom</type>
            <scope>import</scope>
         </dependency>
         <!-- 数据库驱动包管理 -->
         <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql.version}</version>
         </dependency>
         <!-- mybatis plus 管理 -->
         <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>${mybatis-plus.version}</version>
         </dependency>
         <!--hutool工具包-->
         <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>${hutool.version}</version>
         </dependency>
         <!--OKHTTP请求包-->
         <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>${okhttp.version}</version>
         </dependency>
         <!--redis-->
         <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>${redis.version}</version>
         </dependency>
         <!--sentinel-->
         <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
            <version>${sentinel.version}</version>
         </dependency>
         <dependency>
            <groupId>com.zksy</groupId>
            <artifactId>minioutil</artifactId>
            <version>${minioutil.version}</version>
         </dependency>
         <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson</artifactId>
            <version>${redisson.version}</version>
         </dependency>
         <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
            <version>${spring-aop.version}</version>
         </dependency>
         <!--AMQP依赖-->
         <dependency>
            <groupId>org.springframework.amqp</groupId>
            <artifactId>spring-amqp</artifactId>
            <version>2.4.12</version>
         </dependency>
         <!--Spring整合Rabbit依赖-->
         <dependency>
            <groupId>org.springframework.amqp</groupId>
            <artifactId>spring-rabbit</artifactId>
            <version>2.4.12</version>
         </dependency>
      </dependencies>
   </dependencyManagement>

   <build>
      <pluginManagement>
         <plugins>
            <plugin>
               <groupId>org.apache.maven.plugins</groupId>
               <artifactId>maven-compiler-plugin</artifactId>
               <version>3.8.1</version>
               <configuration>
                  <source>11</source> <!-- depending on your project -->
                  <target>11</target> <!-- depending on your project -->
               </configuration>
            </plugin>
         </plugins>
      </pluginManagement>
   </build>

</project>